## net.sf.saxon.charcode
Class ShiftJISCharacterSet

    java.lang.Object
      net.sf.saxon.charcode.ShiftJISCharacterSet

All Implemented Interfaces:
  CharacterSet

    public class ShiftJISCharacterSet

extends java.lang.Object
implements CharacterSet

Field Summary
`static long[]` `flags`

Constructor Summary
`ShiftJISCharacterSet()`

Method Summary
`java.lang.String` `getEncodingName()`
`static ShiftJISCharacterSet` `getInstance()`
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public static long[] flags

Constructor Detail

### ShiftJISCharacterSet

    public ShiftJISCharacterSet()

Method Detail

### getInstance

    public static ShiftJISCharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final java.lang.String getEncodingName()

Copyright (c) Saxonica Limited. All rights reserved.